Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.yaml.snakeyaml.reader
Class StreamReader

    java.lang.Object
      org.yaml.snakeyaml.reader.StreamReader

    public class StreamReader

extends Object

Reader: checks if characters are in allowed range, adds '\0' to the end.

Constructor Summary
`StreamReader(Reader reader)`
`StreamReader(String stream)`

Method Summary
`void` | `forward()`
`void` | `forward(int length)` read the next length characters and move the pointer.
`int` | `getColumn()`
`Charset` | `getEncoding()`
`int` | `getIndex()`
`int` | `getLine()`
`Mark` | `getMark()`
`char` | `peek()`
`char` | `peek(int index)` Peek the next index-th character
`String` | `prefix(int length)` peek the next length characters
`String` | `prefixForward(int length)` prefix(length) immediately followed by forward(length)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StreamReader

    public StreamReader(String stream)

### StreamReader

    public StreamReader(Reader reader)

Method Detail

### getMark

    public Mark getMark()

### forward

    public void forward()

### forward

    public void forward(int length)

  read the next length characters and move the pointer.

  Parameters:
    `length` -

### peek

    public char peek()

### peek

    public char peek(int index)

  Peek the next index-th character

  Parameters:
    `index` -
  Returns:

### prefix

    public String prefix(int length)

  peek the next length characters

  Parameters:
    `length` -
  Returns:

### prefixForward

    public String prefixForward(int length)

  prefix(length) immediately followed by forward(length)

### getColumn

    public int getColumn()

### getEncoding

    public Charset getEncoding()

### getIndex

    public int getIndex()

### getLine

    public int getLine()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011. All Rights Reserved.